# $Id: exim.spec,v 1.3 2001/11/25 19:13:09 vdanen Exp $

%define build_80 0

# commandline overrides:
# rpm -ba|--rebuild --define 'with_xxx'
%{?_with_80: %{expand: %%define build_80 1}}

%define name exim
%define version 3.36
%define release 1rph

Name:		%{name}
Summary:	The exim mail transfer agent
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Servers
URL:		http://www.exim.org
Source:		ftp://ftp.exim.org/pub/exim/%{name}-%{version}.tar.bz2
Source1:	exim.aliases
Source2:	exim.init
Source3:	exim.sysconfig
Source4:	exim.logrotate
Source5:	exim.8
Source6:	FAQ.html.bz2
Source7:	exim-html-3.30.tar.bz2
Source8:	eximconfig
Source9:	exim.pam
Patch0:		exim-3.33-mdk80-Makefile.patch.bz2
Patch1:		exim-3.33-mdk81-Makefile.patch.bz2
Patch2:		exim-configure-default.patch.bz2
Patch3:		exim-perlfix.patch.bz2
Requires:	chkconfig, initscripts, sh-utils, openssl, db3, pam
%if !%{build_80}
Requires:	openldap >= 2.0.11
%endif
BuildRequires:	tcp_wrappers-devel, pam-devel, db3-devel, libldap2-devel, openssl, openssl-devel, XFree86-devel
Buildroot:	%{_tmppath}/%{name}-%{version}
Provides:	smtpdaemon MTA
Conflicts:	qmail sendmail smail postfix

%description
Exim is a mail transport agent (MTA) developed at the University of
Cambridge for use on Unix systems connected to the Internet. In style
it is similar to Smail 3, but its facilities are more extensive, and
in particular it has options for verifying incoming sender and
recipient addresses, for refusing mail from specified hosts, networks,
or senders, and for controlling mail relaying. Exim is in production
use at quite a few sites, some of which move hundreds of thousands of
messages per day.

A utility, eximconfig, is included to simplify exim configuration.

%package mon
Summary:	X11 monitor application for exim
Group:		Monitoring
Copyright:	GPL
Requires:	%{name}, XFree86

%description mon
The Exim Monitor is an optional supplement to the Exim package. It
displays information about Exim's processing in an X window, and an
administrator can perform a number of control actions from the window
interface.

%package doc
Summary:	Exim documentation
Group:		System/Servers
Requires:	%{name}

%description doc
This package includes the Exim FAQ and Exim manual in HTML,
PostScript and PDF formats.

%prep
%if %{build_80}
echo "Building for 8.0"
%else
echo "Building for 8.1+"
%endif

%setup -q
%setup -q -T -D -a 7
%if %{build_80}
%patch0 -p1 -b .makefile80
%else
%patch1 -p1 -b .makefile81
%endif
%patch2 -p1 -b .configdefault
%patch3 -p1 -b .perlfix

%build
# pre-build setup
mkdir Local
cp src/EDITME Local/Makefile
mkdir faq
bzip2 -cd $RPM_SOURCE_DIR/FAQ.html.bz2 > faq/FAQ.html
mv exim-html-3.30 html
cp exim_monitor/EDITME Local/eximon.conf

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_sbindir},%{_bindir},%{_libdir},%{_sysconfdir}/pam.d}

cd build-`scripts/os-type`-`scripts/arch-type`
install -m 4775 exim %{buildroot}%{_sbindir}

for i in eximon eximon.bin exim_dumpdb exim_fixdb exim_tidydb \
  	exinext exiwhat exim_dbmbuild exicyclog exim_lock
do
    install -m 0775 $i %{buildroot}%{_sbindir}
done

cd ..
for i in exigrep eximstats exiqsumm convert4r3
do
    install -m 0775 util/$i %{buildroot}%{_sbindir}
done

install -m 0644 src/configure.default %{buildroot}%{_sysconfdir}/exim.conf
install -m 0644 $RPM_SOURCE_DIR/exim.aliases %{buildroot}%{_sysconfdir}/aliases
install -m 0644 $RPM_SOURCE_DIR/exim.pam %{buildroot}%{_sysconfdir}/pam.d/exim

pushd %{buildroot}%{_libdir}/
ln -sf ../sbin/exim sendmail
popd

pushd %{buildroot}%{_sbindir}/
ln -sf exim sendmail
popd

pushd %{buildroot}%{_bindir}/
ln -sf ../sbin/exim mailq
ln -sf ../sbin/exim runq
ln -sf ../sbin/exim rsmtp
ln -sf ../sbin/exim rmail
ln -sf ../sbin/exim newaliases
popd

install -d -m 0750 %{buildroot}/var/spool/exim
install -d -m 0750 %{buildroot}/var/spool/exim/db
install -d -m 0750 %{buildroot}/var/spool/exim/input
install -d -m 0750 %{buildroot}/var/spool/exim/msglog
install -d -m 0750 %{buildroot}/var/log/exim

mkdir -p %{buildroot}%{_mandir}/man8
install $RPM_SOURCE_DIR/exim.8 %{buildroot}%{_mandir}/man8/exim.8

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 $RPM_SOURCE_DIR/exim.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/exim

mkdir -p %{buildroot}%{_initrddir}
install $RPM_SOURCE_DIR/exim.init %{buildroot}%{_initrddir}/exim

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
install -m 0644 $RPM_SOURCE_DIR/exim.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/exim

install -m 0755 $RPM_SOURCE_DIR/eximconfig %{buildroot}%{_sbindir}

#strip %{buildroot}%{_sbindir}/* || :

chmod g-w %{buildroot}%{_sbindir}/*

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%_post_service exim

%preun
%_preun_service exim

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service exim  condrestart > /dev/null 2>&1
fi

%files
%attr(4755,root,root) %{_sbindir}/exim
%defattr(755,root,root)
%doc CHANGES LICENCE NOTICE README.UPDATING README README.Y2K
%doc doc util/unknownuser.sh util/transport-filter.pl
%{_sbindir}/exim_dumpdb
%{_sbindir}/exim_fixdb
%{_sbindir}/exim_tidydb
%{_sbindir}/exinext
%{_sbindir}/exiwhat
%{_sbindir}/exim_dbmbuild
%{_sbindir}/exicyclog
%{_sbindir}/exigrep
%{_sbindir}/eximstats
%{_sbindir}/exiqsumm
%{_sbindir}/exim_lock
%{_sbindir}/convert4r3
%{_sbindir}/eximconfig
%{_libdir}/sendmail
%{_sbindir}/sendmail
%{_bindir}/mailq
%{_bindir}/runq
%{_bindir}/rsmtp
%{_bindir}/rmail
%{_bindir}/newaliases
%{_mandir}/*/*

%defattr(-,mail,mail)
%dir /var/spool/exim
%dir /var/spool/exim/db
%dir /var/spool/exim/input
%dir /var/spool/exim/msglog
%dir /var/log/exim

%defattr(-,root,mail)
%config(noreplace) %{_sysconfdir}/exim.conf
%config(noreplace) %{_sysconfdir}/aliases

%defattr(-,root,root)
%config %{_initrddir}/exim
%config(noreplace) %{_sysconfdir}/sysconfig/exim
%config(noreplace) %{_sysconfdir}/logrotate.d/exim
%config(noreplace) %{_sysconfdir}/pam.d/exim

%files mon
%defattr(-,root,root)
%{_sbindir}/eximon
%{_sbindir}/eximon.bin

%files doc
%defattr(-,root,root)
%doc faq html

%changelog
* Thu Oct 10 2002 Vincent Danen <vdanen@mandrakesoft.com> 3.36-1rph
- 3.36

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 3.33-5rph
- rebuild with rph extension

* Sun Nov 25 2001 Vincent Danen <vdanen@mandrakesoft.com> 3.33-4mdk
- BuildRequires: XFree86-devel, openssl-devel

* Mon Nov 19 2001 Vincent Danen <vdanen@mandrakesoft.com> 3.33-3mdk
- fix builds under 8.1
- don't remove log files on uninstall
- make more configs noreplace
- use %%_post_service and %%_preun_service macros
- use build macros: (ie. "rpm -ba --with 80 exim.spec" to build for 8.0)

* Fri Sep 21 2001 Vincent Danen <vdanen@mandrakesoft.com> 3.33-2mdk
- remove dependency on openldap for 8.0 builds

* Fri Sep 21 2001 Vincent Danen <vdanen@mandrakesoft.com> 3.33-1mdk
- first Mandrake build based on RPM from Mark Bergsma <mark@nedworks.org>
- Mandrake adaptations
- include support for TLS and LDAP (LDAP only in 8.1 package)
- use db3